<?php
/*
  $Id: popup_image.php,v 1.3 2005/08/18 13:06:35 mwithington Exp $
/*
  Id: popup_image.php
  original version used: 1.3 2005/08/18 mwithington
  Based on: osCommerce, Open Source E-Commerce Solutions
  Released under the GNU General Public License
  link: http://www.oscommerce.com/community/contributions,815
 
  edit for:
  Program: MarvikShop
  version: 1.0.0
  Date created: 10-08-2010
  Last Edited : ../../....
  Author: Team MarvikShop info@marvikshop.com
*/
   
  // begin joomla 1.5 modification
  
  // Check if osCommerce environment is already loaded
  if (defined( '_OSCOMMERCE_LOADED' )) {
    if (!DB_SHARED) {
      // Reconnect to osCommerce Database
      tep_db_connect() or die('Unable to connect to database server!');
    }
    // Load osCommerce Globals for Boxes
    global $category_links, $languages_id, $catID, $catID_array, $current_category_id;
    global $request_type, $lng, $cart, $currencies, $language, $navigation, $breadcrumb;
  } else {
    // Load osCommerce Environment for the First Time
    require('components/'.$option.'/includes/application_top.php');
  }
  // end joomla 1.5 modification

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);

  $navigation->remove_current_page();

  $products_query = tep_db_query("select pd.products_name, pd.products_description, p.products_image, p.products_price, p.manufacturers_id from " . TABLE_PRODUCTS . " p left join " . TABLE_PRODUCTS_DESCRIPTION . " pd on p.products_id = pd.products_id where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['pID'] . "' and pd.language_id = '" . (int)$languages_id . "'");
  $products = tep_db_fetch_array($products_query);

  $product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['pID'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_check = tep_db_fetch_array($product_check_query);

                if (isset($HTTP_GET_VARS['pID'])) {
    $manufacturer_query = tep_db_query("select m.manufacturers_id, m.manufacturers_name, m.manufacturers_image, mi.manufacturers_url from " . TABLE_MANUFACTURERS . " m left join " . TABLE_MANUFACTURERS_INFO . " mi on (m.manufacturers_id = mi.manufacturers_id and mi.languages_id = '" . (int)$languages_id . "'), " . TABLE_PRODUCTS . " p  where p.products_id = '" . (int)$HTTP_GET_VARS['pID'] . "' and p.manufacturers_id = m.manufacturers_id");
    if (tep_db_num_rows($manufacturer_query)) {
      $manufacturer = tep_db_fetch_array($manufacturer_query);
                                        }}

  if ($product_check['total'] < 1) {
  } else {
    $product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, pd.products_url, p.products_price, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.manufacturers_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['pID'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
    $product_info = tep_db_fetch_array($product_info_query);

    tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['pID'] . "' and language_id = '" . (int)$languages_id . "'");

    if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
      $products_price = '<s>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</s> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
    } else {
      $products_price = $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
    }

    if (tep_not_null($product_info['products_model'])) {
      $products_name = $product_info['products_name'] . '<br><span class="smallText">[' . $product_info['products_model'] . ']</span>';
	  $products_description = $product_info['products_description'];
    } else {
      $products_name = $product_info['products_name'];
	  $products_description = $product_info['products_description'];
    }}

  // BOF: More Pics 6
$PID = $HTTP_GET_VARS['pID'];
$invis = $HTTP_GET_VARS['invis'];
$result = mysql_query("select * from " . TABLE_PRODUCTS . " where products_id = '" . (int)$HTTP_GET_VARS['pID'] . "'");
// EOF: More Pics 6
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo $products['products_name']; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) ; ?>">
<SCRIPT language="javascript"><!--
var i=0;
function resize() {
  if (navigator.appName == 'Netscape') i=40;
  if (document.images[0]) window.resizeTo(document.images[0].width +30, document.images[0].height+60-i);
  self.focus();
}
//--></SCRIPT>
<?php // BOF: More Pics 6 ?>
<meta http-equiv="Page-Enter" content="blendTrans(Duration=0.5)">
<meta http-equiv="Page-Exit" content="blendTrans(Duration=0.5)">
<?php // EOF: More Pics 6 ?>
</head>
<body onLoad="resize();">
<table border="0" cellpadding="0" cellspacing="0" align="center">
      <?php // Lets find the last available image !
$image = tep_db_fetch_array($result);
if ($image['products_subimage6'] != ''){       
$last = '6';
}elseif ($image['products_subimage5'] != ''){
$last = '5';
}elseif ($image['products_subimage4'] != ''){
$last = '4';
}elseif ($image['products_subimage3'] != ''){       
$last = '3';
}elseif ($image['products_subimage2'] != ''){       
$last = '2';
}elseif ($image['products_subimage1'] != ''){       
$last = '1';
}elseif ($image['products_image'] != ''){       
$last = '0';
}
$next = $invis + '1';
$back = $invis - '1';
?>
<?php
if (($invis == '0') || ($invis == '')){
$insert = $image['products_image'];
} else  {
$insert = $image['products_subimage' . $invis. ''];
}
/* 
//
// for use if you want to define a maximum width and height for the large popup images.
//
$max_width=0;
$max_height=0;
$img = DIR_WS_IMAGES . $insert;
list($width, $height, $type, $attr) = getimagesize($img);
if ($max_width!=0 && $max_width<$width && $max_height!=0 && $max_height<$height) {
  if (($max_width-$width)>($max_height-$height)) {
    $width = $max_width;
    $height = 0;
  } else {
    $width = 0;
    $height = $max_height;
  }
} elseif ($max_width!=0 && $max_width<$width) {
  $width = $max_width;
  $height = 0;
} elseif ($max_height!=0 && $max_height<$height) {
  $width = 0;
  $height = $max_height;
}
echo '<tr><td align="center"><img src="' . $img . '"' . (($width!=0)?' width="'.$width.'"':'') . (($height!=0)?' height="'.$height.'"':'') . '></td>';
*/
//
// to use the above code, you must remove the next two lines.
//
$img = DIR_EXT_HTTP . $insert;
echo '<tr><td align="center"><img src="' . $img . '"></td>';
?>        </tr>
<tr>
    <td height="0" align="center"></td></tr>
<tr>
    <td height="20" align="center">
<?php
if (($back != '-1') || ($next <= $last)) {
  echo '<hr color="#666666" size="3">';
}
if ($back != '-1'){
 echo '<a href="'.tep_href_link('popup_image.php','pID='.$PID.'&invis='.$back).'">' . tep_image(DIR_WS_IMAGES.'left.gif', 'previous', '', '', 'border="0"') . '</a>  ';
}
if ($next <= $last){
 echo '<a href="'.tep_href_link('popup_image.php','pID='.$PID.'&invis='. $next).'">' . tep_image(DIR_WS_IMAGES.'right.gif', 'next', '', '', 'border="0"') . '</a>';
}
echo '</td></tr>';
?>
</table>
</body>

<BODY onLoad="resize();">
<?php echo tep_image(DIR_WS_IMAGES . $products_values['products_extra_image'], $products_values['products_name']); ?>
         </tr>
         <tr>
           <td class="pageHeading" align="center" colspan="2"><br><?php echo $products_price; ?></td>
         </tr>
		 <tr>
		   <td class="main" align="center" colspan="2"><br><?php echo $products_description; ?><br><br></td>
		 </tr>
         <tr>
           <td class="main" align="left"> <a href="javascript:parentSubmit()"><?php echo tep_image_submit('button_in_cart.gif', IMAGE_BUTTON_IN_CART); ?></td>
           <td class="main" align="right"><a href="javascript:window.close()"><?php echo tep_image_button('button_back.gif', IMAGE_BUTTON_CLOSE); ?></td>
         </tr>
       </table>
     </td>
  </tr>
</table>
</body>
</html>
